summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/d-i_build.sh13
-rwxr-xr-xupdate_jdn.sh2
2 files changed, 14 insertions, 1 deletions
diff --git a/bin/d-i_build.sh b/bin/d-i_build.sh
index 657173ae..8465d797 100755
--- a/bin/d-i_build.sh
+++ b/bin/d-i_build.sh
@@ -79,6 +79,18 @@ pdebuild_package() {
sudo dcmd rm /var/cache/pbuilder/result/${SOURCE}_*changes
}
+preserve_pu_udebs() {
+ #
+ # Check is we're in a pu/* branch
+ #
+ expr "$GIT_BRANCH" : 'origin/pu/' >/dev/null || return 0
+
+ BRANCH_DIR="/srv/udebs/${GIT_BRANCH#origin/pu/}"
+ mkdir -p $PU_BRANCH_DIR
+
+ cp $WORKSPACE/../*.udeb $PU_BRANCH_DIR
+}
+
clean_workspace
#
# if $1 is not given, build the package normally,
@@ -86,6 +98,7 @@ clean_workspace
#
if [ "$1" = "" ] ; then
pdebuild_package
+ preserve_pu_udebs
else
echo do something else ; exit 1
fi
diff --git a/update_jdn.sh b/update_jdn.sh
index 9307b1cd..122bdf5c 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -131,7 +131,7 @@ case $HOSTNAME in
esac
# make sure needed directories exists - some directories will not be needed on all hosts...
-for directory in /schroots /srv/reproducible-results /srv/d-i /srv/live-build /var/log/jenkins/ /srv/jenkins /srv/jenkins/pseudo-hosts /srv/workspace/chroots ; do
+for directory in /schroots /srv/reproducible-results /srv/d-i /srv/udebs /srv/live-build /var/log/jenkins/ /srv/jenkins /srv/jenkins/pseudo-hosts /srv/workspace/chroots ; do
if [ ! -d $directory ] ; then
sudo mkdir $directory
fi